Page MenuHome

View group layer crashes blender
Closed, ArchivedPublic

Description

System Information
Operating system: Darwin-20.2.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 560X OpenGL Engine ATI Technologies Inc. 4.1 ATI-4.2.13

Blender Version
Broken: version: 2.91.2, branch: master, commit date: 2021-01-19 16:15, hash: rB5be9ef417703
Worked: (newest version of Blender that worked as expected)

Short description of error
Blender crashes when turning back on "exclude from view layers"
Same happens if layer is deleted. Have tried reinstalling blender.

Exact steps for others to reproduce the error
Click view ROCKS layer

Event Timeline

Robert Guetzkow (rjg) changed the task status from Needs Triage to Needs Information from User.Jan 30 2021, 2:23 PM

The mesh data of object rockD is corrupted. You can try to append all other objects through File > Append to a new project. In order to investigate this we would have to know the exact steps that resulted in the broken file in order to reproduce this on our systems. Issues in the dependency graph have been fixed (T84397), so if this is related this has been fixed in 2.92.0.

Script for checking what meshes are broken.

import bpy

for obj in bpy.data.objects:
    if obj.type == "MESH" and obj.data is not None:
        print(f"{obj.name} corrupted: {obj.data.validate(verbose=False)}")
Robert Guetzkow (rjg) closed this task as Archived.Feb 16 2021, 9:51 PM

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.